PUT https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
eventId
string
Yes
Event Id or Instance id. For recurring appointments send masterEventId to modify original series.
Body
Name
Type
Required
Example
Description
title
string
No
Test Event
Title
meetingLocationType
string
No
custom
Meeting account type. - If address is provided in the request body, the meetingLocationType defaults to custom. Possible values: 'custom', 'zoom', 'gmeet', 'phone', 'address', 'ms_teams', 'google'
meetingLocationId
string
No
custom_0
The unique identifier for the meeting account. - This value can be found in calendar.locationConfigurationsor calendar.teamMembers[].locationConfigurations
overrideLocationConfig
boolean
No
True
Flag to override account config - false - If only meetingLocationId is provided - true - If only meetingLocationType is provided
appointmentStatus
string
No
confirmed
Possible values: 'new', 'confirmed', 'cancelled', 'showed', 'noshow', 'invalid'
assignedUserId
string
No
0007BWpSzSwfiuSl0tR2
Assigned User Id
description
string
No
Booking a call to discuss the project
Appointment Description
address
string
No
Zoom
Appointment Address
ignoreDateRange
boolean
No
False
If set to true, the minimum scheduling notice and date range would be ignored
toNotify
boolean
No
False
If set to false, the automations will not run
ignoreFreeSlotValidation
boolean
No
True
If true the time slot validation would be avoided for any appointment creation (even the ignoreDateRange)
rrule
string
No
RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event. The rrule only be applied if ignoreFreeSlotValidation is true.
calendarId
string
No
CVokAlI8fgw4WYWoCtQz
Calendar Id
startTime
string
No
2021-06-23T03:30:00+05:30
Start Time
endTime
string
No
2021-06-23T04:30:00+05:30
End Time
Responses
200 - Successful response
calendarId (string, required): Calendar Id Example: CVokAlI8fgw4WYWoCtQz
locationId (string, required): Account Id Example: C2QujeCh8ZnC7al2InWR
contactId (string, required): Contact Id Example: 0007BWpSzSwfiuSl0tR2
startTime (string): Start Time Example: 2021-06-23T03:30:00+05:30
endTime (string): End Time Example: 2021-06-23T04:30:00+05:30
title (string): Title Example: Test Event
meetingLocationType (string): Meeting Account Type Example: custom